Package twisted :: Package conch :: Module credentials :: Class IPluggableAuthenticationModules |
[frames | no frames]

## Class IPluggableAuthenticationModules

    Interface --+
                |
     ICredentials --+
                    |
                   IPluggableAuthenticationModules

I encapsulate the authentication of a user via PAM (Pluggable Authentication Modules. I use PyPAM (available from http://www.tummy.com/Software/PyPam/index.html).

Instance Variable Summary
| `pamConversion`: A function that is called with a list of tuples (message, messageType).
| `username`: The username for the user being logged in.

Class Variable Summary
Inherited from ICredentials
| `__implements__`: Implementors _must_ provide an __implements__ attribute which contains at least the list of sub-interfaces of ICredentials to which it conforms.

Instance Variable Details

### pamConversion A function that is called with a list of tuples (message, messageType). See the PAM documentation for the meaning of messageType. The function returns a Deferred which will fire with a list of (response, 0), one for each message. The 0 is currently unused, but is required by the PAM library.

### username The username for the user being logged in.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:43 2003 | http://epydoc.sf.net